# Method: projects.locations.getDnsBindPermission

- [HTTP request](https://docs.cloud.google.com/vmware-engine/docs/public/reference/rest/v1/projects.locations/getDnsBindPermission#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/vmware-engine/docs/public/reference/rest/v1/projects.locations/getDnsBindPermission#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/vmware-engine/docs/public/reference/rest/v1/projects.locations/getDnsBindPermission#body.request_body)
- [Response body](https://docs.cloud.google.com/vmware-engine/docs/public/reference/rest/v1/projects.locations/getDnsBindPermission#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/vmware-engine/docs/public/reference/rest/v1/projects.locations/getDnsBindPermission#body.DnsBindPermission.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/vmware-engine/docs/public/reference/rest/v1/projects.locations/getDnsBindPermission#body.aspect)

Gets all the principals having bind permission on the intranet VPC associated with the consumer project granted by the Grant API. DnsBindPermission is a global resource and location can only be global.

### HTTP request

`GET https://vmwareengine.googleapis.com/v1/{name=projects/*/locations/*/dnsBindPermission}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the resource which stores the users/service accounts having the permission to bind to the corresponding intranet VPC of the consumer project. DnsBindPermission is a global resource. Resource names are schemeless URIs that follow the conventions in <https://cloud.google.com/apis/design/resource_names>. For example: `projects/my-project/locations/global/dnsBindPermission` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `vmwareengine.dnsBindPermission.get` |

### Request body

The request body must be empty.

### Response body

DnsBindPermission resource that contains the accounts having the consumer DNS bind permission on the corresponding intranet VPC of the consumer project.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string, "principals": [ { object (`https://docs.cloud.google.com/vmware-engine/docs/public/reference/rest/v1/Principal`) } ] } ``` |

| Fields ||
|---|---|
| `name` | `string` Required. Output only. The name of the resource which stores the users/service accounts having the permission to bind to the corresponding intranet VPC of the consumer project. DnsBindPermission is a global resource and location can only be global. Resource names are schemeless URIs that follow the conventions in <https://cloud.google.com/apis/design/resource_names>. For example: `projects/my-project/locations/global/dnsBindPermission` |
| `principals[]` | ``object (`https://docs.cloud.google.com/vmware-engine/docs/public/reference/rest/v1/Principal`)`` Output only. Users/Service accounts which have access for binding on the intranet VPC project corresponding to the consumer project. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).